<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Immortal X-Men</Series>
  <Number>11</Number>
  <Web>https://www.amazon.com/dp/B0BWSKZVN8</Web>
  <Summary>STORM OF TWO WORLDS! Sins of Sinister is over...but the sins fallout remains. Storm can't believe what everyone has done. But when the fate of two worlds rests in her hands, what can she do about it?</Summary>
  <Notes>Scraped metadata from Amazon [ASINB0BWSKZVN8], [RELDATE:2023-05-03]</Notes>
  <Publisher>Marvel</Publisher>
  <Genre>Superhero</Genre>
  <PageCount>25</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
